openSUSE Security Update : IPython (openSUSE-SU-2014:1060-1)

Medium Nessus Plugin ID 77366


The remote openSUSE host is missing a security update.


This IPython update fixes the following security issue :

- RCE in IPython Notebook via cross-origin websocket connection (CVE-2014-3429, bnc#887577)


Update the affected IPython packages.

See Also

Plugin Details

Severity: Medium

ID: 77366

File Name: openSUSE-2014-513.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/08/25

Modified: 2014/08/25

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:IPython, p-cpe:/a:novell:opensuse:python-pyzmq, p-cpe:/a:novell:opensuse:python-pyzmq-debuginfo, p-cpe:/a:novell:opensuse:python-pyzmq-debugsource, p-cpe:/a:novell:opensuse:python-pyzmq-devel, p-cpe:/a:novell:opensuse:python3-IPython, cpe:/o:novell:opensuse:12.3, cpe:/o:novell:opensuse:13.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2014/08/15

Reference Information

CVE: CVE-2014-3429